/* eslint-disable object-shorthand */
(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.confirmUnpublish = {
    attach: function (context, settings) {
      if (context !== document) return;

      const $checkbox = $('input[name="status[value]"]', context);
      let wasChecked = $checkbox.prop('checked');

      $checkbox.on('change', function () {
        const isNowChecked = $(this).prop('checked');

        if (wasChecked && !isNowChecked) {
          const message =
            drupalSettings.confirm_unpublish.message ||
            'Are you sure you want to unpublish this node?';

          $('<div></div>')
            .html(message)
            .dialog({
              modal: true,
              title: 'Confirm Unpublish',
              width: '50%',
              buttons: {
                Cancel: function () {
                  $checkbox.prop('checked', true);
                  $(this).dialog('close');
                },
                Confirm: function () {
                  wasChecked = false;
                  $(this).dialog('close');

                  if (drupalSettings.confirm_unpublish.logging) {
                    $.post(Drupal.url('confirm-unpublish/log'), {
                      uid: drupalSettings.confirm_unpublish.user_id,
                      nid: drupalSettings.confirm_unpublish.node_id,
                    });
                  }
                },
              },
            });
        } else {
          wasChecked = isNowChecked;
        }
      });
    },
  };
})(jQuery, Drupal, drupalSettings);
